Subject: Re: Running Postgresql 7.4.2 on Windows 2000 with Cygwin !
From: Jason Tishler <[email-masked]>
To: JC Jan Christensen <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Sun, 4 Apr 2004 22:08:24 -0400

Jan,

On Sun, Apr 04, 2004 at 03:15:03PM +0200, JC Jan Christensen wrote:
> and downloaded the file :
> 
>     cygipc-2.03-2.tar.bz2
> 
> and installed the cygipc-daemon in the file.

The above is a bad thing to do.  See below for why.

> I have downloaded the file postgresql-7.4.2.tar.gz and unpacked it and
> run the following commands:
> 
>     ./configure
>     make
>     make install

The above just built a version of PostgreSQL against cygserver not
cygipc.

> I have made a shell-script that contains the following lines:
> 
>     ipc-daemon2 &

You are running cygipc not cygserver.

>     initdb -D /usr/local/pgsql/data
>     postmaster -i -n -d 2 -D /usr/local/pgsql/data
> 
> When I run this shell-script I get the following error-message from
> initdb :
> 
>     FATAL: could not create shared memory
>            segment: Function not implemented
>     DETAIL: Failed system call was 
>             shmget(key=1, size=1081344, 03600)
>     initdb: failed
> 
> What is wrong here ???????????

You are building against cygserver and running against cygipc.  This is
guaranteed not to work.

>  How can I solve this problem ????????????

Build and run against the same IPC implementation.

My suggestion is to install both the cygipc and postgresql packages via
Cygwin's setup.exe instead of manually installing cygipc and trying to
build your own PostgreSQL version.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/